package salsa.messaging;

import salsa.language.ActorState;
import salsa.naming.UAL;

/**
	This Interface contains methods for migrating an actor to another theater.
	
	@author stepha
*/
public interface MigrationService {

	/**
		This method migrates the UniversalActor, the actor's thread should clean up its
		forwarder before terminating.
	*/
	public void migrate( ActorState actorState, UAL newLocation );
}
